
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>为什么Java中有些接口没有任何方法 / 憋错料</title>

    <meta name="description" content="为什么Java中有些接口没有任何方法 由于Java不支持多重继承,即一个类只能有一个父类,为了克服单继承的缺点,Java语言引入了接口这一概念.接口是抽象方法定义的集合(接口中也可以定义一些常量值),是一种特殊的抽象类.接口中只包含方法的定义,没有方法的实现.接口中的所有方法都是抽象的.接口中成员的作用域修饰符都是public,接口中的常量值默认使用public static final修饰.由于一个类可以实现多个接口,因此通常可以采用实现多个接口的方式来间接的达到多重继承的目的. 在Java语言中,有些接口内部没有声明任何方法,也">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">为什么Java中有些接口没有任何方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>由于Java不支持多重继承，即一个类只能有一个父类，为了克服单继承的缺点，Java语言引入了接口这一概念。接口是抽象方法定义的集合（接口中也可以定义一些常量值），是一种特殊的抽象类。接口中只包含方法的定义，没有方法的实现。接口中的所有方法都是抽象的。接口中成员的作用域修饰符都是public，接口中的常量值默认使用public static final修饰。由于一个类可以实现多个接口，因此通常可以采用实现多个接口的方式来间接的达到多重继承的目的。</p>
<p>在Java语言中，有些接口内部没有声明任何方法，也就是说实现这些接口的类不需要重写任何方法，这些没有任何方法声明的接口又被叫做标识接口，标识接口对实现它的类没有任何语义上的要求，它仅仅充当一个标识的作用，用来表明实现它的类属于一个特定的类型。这个标签类似于汽车的标志图标，每当人们看到一个汽车的标志图标时，就能知道这款汽车的品牌。Java类库中已存在的标识接口有Cloneable和Serializable等。在使用的时候会经常用instanceof来判断实例对象的类型是否实现了一个给定的标识接口。</p>
<p>下面通过一个例子来详细说明标识接口的作用。例如要开发一款游戏，游戏里面有一个人物角色专门负责出去寻找有用的材料，假设这个人物只收集矿石和武器，而不会收集垃圾，下例通过标识接口来实现这个功能。</p>
<table>
<tbody>
<tr>
<td>
<br />import Java.util.ArrayList;</p>
<p>interface Stuff{}</p>
<p>//矿石</p>
<p>interface Ore extends Stuff{}</p>
<p>//武器</p>
<p>interface Weapon extends Stuff{}</p>
<p>//垃圾</p>
<p>interface Rubbish extends Stuff{}</p>
<p>//金矿</p>
<p>class Gold implements Ore{</p>
<p>public String  toString(){</p>
<p>return  &quot;Gold&quot;;</p>
<p>}</p>
<p>}</p>
<p>//铜矿</p>
<p>class Copper implements Ore{</p>
<p>public String  toString(){</p>
<p>return  &quot;Copper&quot;;</p>
<p>}</p>
<p>}</p>
<p>//枪</p>
<p>class Gun implements Weapon{</p>
<p>public String  toString(){</p>
<p>return  &quot;Gun&quot;;</p>
<p>}</p>
<p>}</p>
<p>//榴弹</p>
<p>class Grenade implements Weapon{</p>
<p>public String  toString(){</p>
<p>return  &quot;Grenade&quot;;</p>
<p>}</p>
<p>}</p>
<p>class Stone implements Rubbish{</p>
<p>public String  toString(){</p>
<p>return  &quot;Stone&quot;;</p>
<p>}</p>
<p>}</p>
<p>public class Test{</p>
<p>public static  ArrayList&lt;Stuff&gt; collectStuff(Stuff[] s){</p>
<p>ArrayList&lt;Stuff&gt;  al=new ArrayList&lt;Stuff&gt;();</p>
<p>for(int  i=0;i&lt;s.length;i++){</p>
<p>if(!(s[i]  instanceof Rubbish))</p>
<p>al.add(s[i]);</p>
<p>}</p>
<p>return al;</p>
<p>}</p>
<p>public static void  main(String[] args){</p>
<p>Stuff[] s={new  Gold(),new Copper(),new Gun(),new Grenade(),new Stone()};</p>
<p>ArrayList&lt;Stuff&gt;  al=collectStuff(s);</p>
<p>System.out.println(&quot;The  usefull Stuff collected is:&quot;);</p>
<p>for(int  i=0;i&lt;al.size();i++)</p>
<p>System.out.println(al.get(i));</p>
<p>}</p>
<p>}</p>
</td>
</tr>
</tbody>
</table>
<p>程序运行结果为：</p>
<table>
<tbody>
<tr>
<td>
<br />The usefull Stuff collected is:</p>
<p>Gold</p>
<p>Copper</p>
<p>Gun</p>
<p>Grenade</p>
</td>
</tr>
</tbody>
</table>
<p>在上例中，设计了三个接口：Ore、Weapon和Rubbish分别代表矿石、武器和垃圾，只要是实现Ore或Weapon的类，游戏中的角色都会认为这是有用的材料，例如：Gold、Copper、Gun、Grenade，因此会收集，只要是实现Rubbish的类，都会被认为是无用的东西，例如Stone，因此不会被收集。</p>
<p><strong>常见笔试题：</strong></p>
<p>不能用来修饰interface的有( )</p>
<p>A：private&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; B：public&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; C：protected&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; D：static</p>
<p>答案：A、C、D。见上面讲解。</p>
<p>出自&nbsp;<a href="http://www.360jobhunting.com/?p=177" rel="external nofollow noreferrer">新书《Java程序员面试笔试宝典》官网</a></p>
<p><P><A href="http://www.bubuko.com/infodetail-191671.html" rel="external nofollow noreferrer">为什么Java中有些接口没有任何方法,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-07 04:41:54 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/interface/" title="interface">interface</a>, <a href="https://www.biecuoliao.com/tag/%e7%a8%8b%e5%ba%8f%e5%91%98-%e9%9d%a2%e8%af%95-%e7%ac%94%e8%af%95-%e6%b1%82%e8%81%8c-%e5%ae%9d%e5%85%b8/" title="程序员 面试 笔试 求职 宝典">程序员 面试 笔试 求职 宝典</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>为什么Java中有些接口没有任何方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0knn5bM.html" rel="bookmark">Java中各种（类、方法、属性）访问修饰符与修饰符的说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				类: 访问修饰符 修饰符 class 类名称 extends 父类名称 implement 接口名称 (访问修饰符与修饰符的位置可以互换) 访问修饰符 名称 说明 备注 public 可以被本项目的所有类访问(使用),其他项目若想使用本项目中的类,必须将本项目打包为jar包,然后加入到classpath中 public类必须定义在和类名相同的同名文件中 (default) 只能被同一个包中的类访问(使用) 默认的访问权限,可以省略此关键字,可以定义在和public类的同一个文件中 修饰符 名称			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzEZBJ4.html" rel="bookmark">Java 中extends与implements使用方法 （转载）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/chen_chun_guang/article/details/6323201 初学Java语言, 代码中的extends和implements让我感到很迷惑,现在终于弄明白它们之间的区别和用法了. //定义一个Runner接口 public inerface Runner { int ID = 1; void run (); } //定义一个interface Animal,它继承于父类Runner interface Animal extend			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Op7xo4.html" rel="bookmark">Java中Comparator接口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Comparator位于java.util包下 public interface Comparator&lt;T&gt; 强行对某个对象 collection 进行整体排序 的比较函数.可以将 Comparator 传递给 sort 方法(如 Collections.sort 或 Arrays.sort),从而允许在排序顺序上实现精确控制.还可以使用 Comparator 来控制某些数据结构(如有序 set或有序映射)的顺序,或者为那些没有自然顺序的对象 collection 提供排序. 当且仅当对于一组			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dDZP90.html" rel="bookmark">java中的接口深层理解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				深入理解Java的接口和抽象类 对于面向对象编程来说,抽象是它的一大特征之一.在Java中,可以通过两种形式来体现OOP的抽象:接口和抽象类.这两者有太多相似的地方,又有太多不同的地方.很多人在初学的时候会以为它们可以随意互换使用,但是实际则不然.今天我们就一起来学习一下Java中的接口和抽象类.下面是本文的目录大纲: 一.抽象类 二.接口 三.抽象类和接口的区别 若有不正之处,请多多谅解并欢迎批评指正,不甚感激. 请尊重作者劳动成果,转载请标明原文链接: http://www.cnblogs.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MG7agAM.html" rel="bookmark">java中业务接口</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天写完业务层在抽取接口的时候脑子里突然产生了一个问题:抽取接口到底有什么用呢? 在刚刚学习接口的时候知道接口是为了实现java的多继承,但是现在每一个业务类都要抽取一个接口,每当该类需要增加方法的时候还要到接口中增加方法,也就是两份,这个时候感觉维护接口增加了工作量,想来想去也不知道为什么这么做,反正看到别人都是这么做的.为什么呢?在网上找了好多例子,有好多说的是为了后面扩展,也举了例子,也看懂了,但是想想现在做的项目,把每一个业务抽取一个接口,是不是有点过了呢?等待解答..... java中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jApxWM.html" rel="bookmark">JAVA中的接口和抽象类&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在面向对象的概念中,我们知道所有的对象都是通过类来描绘的,但是并不是所有的类都是用来描绘对象的,如果一个类中没有包含足够的信息来描绘一个具体的对象,这样的类就是抽象类. 抽象类往往用来表征我们在对问题领域进行分析. 设计中得出的抽象概念,是对一系列看上去不同,但是本质上相同的具体概念的抽象,我们不能把它们实例化(拿不出一个具体的东西)所以称之为抽象. 比如:我们要描述“水果”,它就是一个抽象,它有质量.体积等一些共性(水果有质量),但又缺乏特性(苹果.橘子都是水果,它们有自己的特性),我们 拿不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP2gdD3.html" rel="bookmark">java中list接口的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				list为继承自collection接口的接口,list里存储的值的类型通过list&lt;object&gt;泛型来声明:存值时调用ArrayList类的add方法,删除时调用用remove方法.list的很多方法与set很相似,但在存储结构上有区别,set的存储特点为无序和互异,相反的,list的存储特点为有序和存异. package test_list; import java.util.ArrayList; import java.util.HashSet; import java.util.It			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mo9D8b3.html" rel="bookmark">【juincen】Java中的接口interface类比js中的回调函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几天在左讯飞语音的时候,无意间意识到java中的接口和js中常用的回调函数有点类似,今天在这儿整理一下思路. interface,Java中的接口,为什么会有这个东西. 一,预留声明 比如两个程序员A和B,A要写一段程序,其中需要调用到B写的程序.这时候A可以写一个接口: public interface Demo{ void deal(); } A要调用的方法先“预留声明”在接口里:deal 然后B去完善这个接口,B写了一个实现类实现了这个Demo接口. A在自己的业务逻辑里面只用调用接口的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mg2E6g4.html" rel="bookmark">使用Go来模拟Java中的接口 实现类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				针对项目中,相同的流程业务进行重构,使用Go来简单模拟Java中的接口,实现类的方式进行重构.分享一简单例子: package main //模拟java中的接口,实现类 import &quot;fmt&quot; // 声明一个接口, type workthread interface { do(name string) } // 传入的wt的子类不同,do方法执行的逻辑也不同 func Handle(wt workthread, name string) { fmt.Println(&quot;--			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/kMLZZW3.html" rel="bookmark" class="title">UI&lowbar;10 表视图的编辑、UITableViewController</a>
					<div>
						读取plist文件并将其内容显示到表视图上.并添加编辑(增加,删除).移动cell的操作. plist文件内容如下: &lt;?xml version=&quot;1.0&quot; encoding ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/949agg4.html" rel="bookmark" class="title">BootStrap详解之&lpar;二&rpar;</a>
					<div>
						六.内容 Bootstrap 将全局 font-size 设置为 14px,line-height 设置为 1.428 中心内容 .lead 将字体大小.加粗.行高修改 (无卵高深用) 标记 mark ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJnOB4.html" rel="bookmark" class="title">文件目录</a>
					<div>
						有好多朋友不是很清楚html的目录问题,这里脚本之家为大家准备下,大家看了应该可以了解了. 相对路径-以引用文件之网页所在位置为参考基础,而建立出的目录路径.因此,当保存于不同目录的网页引用同一个文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MywoPj3.html" rel="bookmark" class="title">用css改变默认的checkbox样式</a>
					<div>
						自己常用的改变checkbox样式的两个方法: 一.利用background用图片代替checkbox效果 缺点:你首先得有一张好看的图片 优点:浏览器兼容性好 &lt;!doctype html&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02Daqn4.html" rel="bookmark" class="title">spring框架中一个跟String的trim方法一样的方法</a>
					<div>
						@Test public void testTrimWhitespace() throws Exception { assertEquals(null, StringUtils.trimWhitesp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWYX2y3.html" rel="bookmark" class="title">百度技术沙龙第48期回顾：大规模机器学习（含资料下载）</a>
					<div>
						原文:http://www.infoq.com/cn/news/2014/03/baidu-salon48-summary 2014年3月15日,在由@百度主办.@InfoQ负责策划组织和实施的第48 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02L5za4.html" rel="bookmark" class="title">android 中 系统日期时间的获取</a>
					<div>
						From:http://blog.csdn.net/feifei454498130/article/details/6540133 import java.text.SimpleDateFormat; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RDjY54.html" rel="bookmark" class="title">android&colon;inputType常用取值</a>
					<div>
						&lt;EditText android:layout_width=&quot;fill_parent&quot; android:layout_height=&quot;wrap_content&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgN7OL4.html" rel="bookmark" class="title">VBA学习笔记之循环</a>
					<div>
						VBA 中Do while Loop用法如下:VBA中如果不知道重复多少次,使用 Do...Loop 语句.Do...Loop 语句重复执行某段代码直到条件是 true 或条件变成 true.重复执行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vQwPX0.html" rel="bookmark" class="title">luogu P1095 守望者的逃离</a>
					<div>
						题目描述 恶魔猎手尤迪安野心勃勃,他背叛了暗夜精灵,率领深藏在海底的娜迦族企图叛变.守望者在与尤迪安的交锋中遭遇了围杀,被困在一个荒芜的大岛上.为了杀死守望者,尤迪安开始对这个荒岛施咒,这座岛很快就会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ML2NJy3.html" rel="bookmark" class="title">Rdeis 详解    小白</a>
					<div>
						Redis 与其他 key - value 缓存产品有以下三个特点: Redis支持数据的持久化,可以将内存中的数据保持在磁盘中,重启的时候可以再次加载进行使用. Redis不仅仅支持简单的key-v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmoO2K3.html" rel="bookmark" class="title">spring&lpar;3&rpar;------控制反转&lpar;IOC&rpar;&sol;依赖注入&lpar;DI&rpar;</a>
					<div>
						一,spring核心概念理解 控制反转: 控制反转即IoC (Inversion of Control),它把传统上由程序代码直接操控的对象的调用权交给容器,通过容器来实现对象组件的装配和管理. 所谓 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvdBn4.html" rel="bookmark" class="title">less学习－语法&lpar;二&rpar;</a>
					<div>
						变量 @color1:#fff; 选择器 // Variables @mySelector: banner; // Usage [email protected]{mySelector} { font ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0koWQd0.html" rel="bookmark" class="title">Google Supersonic列存储查询库的安装</a>
					<div>
						安装环境: 系统CentOS 6.2,gcc 4.3.2版本不足以安装(缺少constexpr),避免浪费时间,通过yum安装gcc 4.8.2的. 参考:http://blog.sina.com.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KZ97KM.html" rel="bookmark" class="title">java tools&colon; jmap</a>
					<div>
						SYNOPSIS jmap [ option ] pid click here to see detail DESCRIPTION jmap prints shared object memory m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49exdg4.html" rel="bookmark" class="title">&lpar;揭秘&rpar;美国ETI集团UNY指数资产合约内幕</a>
					<div>
						(揭秘)美国ETI集团UNY指数团队X 信:eti131419 Unycorn数字资产合约-指数金融领导者.Unycorn来自未来的指数世界,现在全球有眼光的人都在为它而着迷,Unycorn是链接未来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lNRbE4.html" rel="bookmark" class="title">令人躁动一时且令人不安的TCP BBR算法</a>
					<div>
						虽然我在这个周六(2016/12/17)荒废了一天而毫无意义的加班,我依然要在次日把上一周的点滴记录下来.以下在2016/12/18下午19时之前的文章,全属周六通宵之作.可以说,这个周末过得比较水. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZplYDM.html" rel="bookmark" class="title">Duff and Meat - CF 588A</a>
					<div>
						题目大意:有一个人他有每天需要吃ai千克肉,并且当天肉的价格是pi,问N天后他至少需要花费多少钱买肉. 分析:注意一下,他是可以提前买好肉放着的. 代码如下: #include&lt;iostream ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49vP9DM.html" rel="bookmark" class="title">Round B APAC Test 2016</a>
					<div>
						Problem A There are N cities in Chelsea's state (numbered starting from 1, which is Chelsea's city), ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXDR1wM.html" rel="bookmark" class="title">如何编写LVS对Real Server的健康状态检测脚本</a>
					<div>
						简介:Linux 虚拟服务器(Linux Virtual Server. LVS),是一个由章文松开发的自由软件.利用KVS可以实现高可用的.可伸缩缩的Web, Mail, Cache和Medial等 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
